Lists API

Manage list membership through authenticated endpoints.

Manage list membership through authenticated endpoints.

Endpoints

MethodPathDescription
POST/api/v1/lists/:listId/contactsAdd contact to list
DELETE/api/v1/lists/:listId/contacts/:emailOrIdRemove contact from list

Add contact to list

POST /api/v1/lists/:listId/contacts

Body accepts either email or contactId:

{
  "email": "jane@example.com"
}

or

{
  "contactId": "j57..."
}

Success response:

{
  "data": {
    "success": true,
    "contactId": "j57...",
    "listId": "k19...",
    "doiStatus": "pending"
  }
}

doiStatus can be:

  • not_required
  • pending
  • confirmed

Remove contact from list

DELETE /api/v1/lists/:listId/contacts/:emailOrId

emailOrId can be URL-encoded email or contact ID.

Success response:

{
  "data": {
    "success": true,
    "removed": true
  }
}